# Generated by Django 3.1.3 on 2020-11-26 14:05

import wagtail.blocks
import wagtail.contrib.table_block.blocks
import wagtail.documents.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("uniweb", "0008_auto_20200916_1151"),
    ]

    operations = [
        migrations.AddField(
            model_name="uniwebhomepage",
            name="narrow_layout",
            field=models.BooleanField(
                default=False,
                help_text="užší stránka je vhodná pro lepší čitelnost textů",
                verbose_name="zúžený obsah stránky",
            ),
        ),
        migrations.AlterField(
            model_name="uniwebflexiblepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "title",
                        wagtail.blocks.CharBlock(
                            group="nadpisy",
                            icon="title",
                            label="nadpis",
                            template="uniweb/blocks/title.html",
                        ),
                    ),
                    (
                        "advanced_title",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="nadpis"),
                                ),
                            ]
                        ),
                    ),
                    (
                        "picture_title",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="nadpis"),
                                ),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="rozměr na výšku 75px nebo více (obrázek bude zmenšen na výšku 75px)",
                                        label="obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            group="texty",
                            label="text",
                            template="uniweb/blocks/text.html",
                        ),
                    ),
                    (
                        "advanced_text",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="text",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "advanced_text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.ListBlock(
                            wagtail.images.blocks.ImageChooserBlock(label="obrázek"),
                            group="ostatní",
                            icon="image",
                            label="galerie",
                            template="uniweb/blocks/gallery.html",
                        ),
                    ),
                    (
                        "picture_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                                "superscript",
                                                "subscript",
                                                "strikethrough",
                                                "blockquote",
                                            ],
                                            label="odstavec",
                                        ),
                                        label="odstavce",
                                    ),
                                ),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="rozměr 25x25px nebo více (obrázek bude zmenšen na 25x25px)",
                                        label="obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            group="ostatní",
                            label="tabulka",
                            template="uniweb/blocks/table.html",
                        ),
                    ),
                    (
                        "jupyter",
                        wagtail.documents.blocks.DocumentChooserBlock(
                            group="ostatní", label="Jupyter notebook"
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
        migrations.AlterField(
            model_name="uniwebhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "title",
                        wagtail.blocks.CharBlock(
                            group="nadpisy",
                            icon="title",
                            label="nadpis",
                            template="uniweb/blocks/title.html",
                        ),
                    ),
                    (
                        "advanced_title",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="nadpis"),
                                ),
                            ]
                        ),
                    ),
                    (
                        "picture_title",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="nadpis"),
                                ),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="rozměr na výšku 75px nebo více (obrázek bude zmenšen na výšku 75px)",
                                        label="obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            group="texty",
                            label="text",
                            template="uniweb/blocks/text.html",
                        ),
                    ),
                    (
                        "advanced_text",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="text",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "advanced_text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.ListBlock(
                            wagtail.images.blocks.ImageChooserBlock(label="obrázek"),
                            group="ostatní",
                            icon="image",
                            label="galerie",
                            template="uniweb/blocks/gallery.html",
                        ),
                    ),
                    (
                        "picture_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                                "superscript",
                                                "subscript",
                                                "strikethrough",
                                                "blockquote",
                                            ],
                                            label="odstavec",
                                        ),
                                        label="odstavce",
                                    ),
                                ),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="rozměr 25x25px nebo více (obrázek bude zmenšen na 25x25px)",
                                        label="obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            group="ostatní",
                            label="tabulka",
                            template="uniweb/blocks/table.html",
                        ),
                    ),
                    (
                        "jupyter",
                        wagtail.documents.blocks.DocumentChooserBlock(
                            group="ostatní", label="Jupyter notebook"
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
    ]
